<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Message.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Message_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Message.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;gst/gstmessage.h&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacegst.html">gst</a></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;{</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    <span class="keyword">namespace </span>msg</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    {</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;        <span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        {</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;            Unknown            = 0,</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;            EOS                = (1 &lt;&lt; 0),</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;            Error              = (1 &lt;&lt; 1),</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;            Warning            = (1 &lt;&lt; 2),</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;            Info               = (1 &lt;&lt; 3),</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;            Tag                = (1 &lt;&lt; 4),</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;            Buffering          = (1 &lt;&lt; 5),</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;            StateChanged       = (1 &lt;&lt; 6),</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;            StateDirty         = (1 &lt;&lt; 7),</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;            StepDone           = (1 &lt;&lt; 8),</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;            ClockProvide       = (1 &lt;&lt; 9),</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;            ClockLost          = (1 &lt;&lt; 10),</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;            NewClock           = (1 &lt;&lt; 11),</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;            StructureChange    = (1 &lt;&lt; 12),</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            StreamStatus       = (1 &lt;&lt; 13),</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;            Application        = (1 &lt;&lt; 14),</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            Element            = (1 &lt;&lt; 15),</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;            SegmentStart       = (1 &lt;&lt; 16),</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            SegmentDone        = (1 &lt;&lt; 17),</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;            DurationChanged    = (1 &lt;&lt; 18),</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            Latency            = (1 &lt;&lt; 19),</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            AsyncStart         = (1 &lt;&lt; 20),</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;            AsyncDone          = (1 &lt;&lt; 21),</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;            RequestState       = (1 &lt;&lt; 22),</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;            StepStart          = (1 &lt;&lt; 23),</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            QOS                = (1 &lt;&lt; 24),</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;            Progress           = (1 &lt;&lt; 25),</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;            TOC                = (1 &lt;&lt; 26),</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            ResetTime          = (1 &lt;&lt; 27),</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            StreamStart        = (1 &lt;&lt; 28),</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            NeedContext        = (1 &lt;&lt; 29),</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            HaveContext        = (1 &lt;&lt; 30),</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            Extended           = (gint)(1U &lt;&lt; 31),</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            DeviveAdded        = Extended + 1,</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            DeviceRemoved      = Extended + 2,</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            PropertyNotify     = Extended + 3,</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            StreamCollection   = Extended + 4,</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            StreamsSelected    = Extended + 5,</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            Redirected         = Extended + 6,</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            DeviceChanged      = Extended + 7,</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            InstantRateRequest = Extended + 8,</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            Any                = (gint)(0xffffffff)</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        } Type;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    } <span class="comment">// namespace msg</span></div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classgst_1_1Message.html">   55</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classgst_1_1Message.html">Message</a></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;      <span class="keyword">private</span>:</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        GstMessage *msg;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;      <span class="keyword">public</span>:</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <a class="code" href="classgst_1_1Message.html">Message</a>(GstMessage *msg);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        GstMessage *ref() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        msg::Type type() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    };</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;} <span class="comment">// namespace gst</span></div>
<div class="ttc" id="aclassgst_1_1Message_html"><div class="ttname"><a href="classgst_1_1Message.html">gst::Message</a></div><div class="ttdef"><b>Definition:</b> Message.hpp:56</div></div>
<div class="ttc" id="anamespacegst_html"><div class="ttname"><a href="namespacegst.html">gst</a></div><div class="ttdoc">Namespace for all GStreamer an GLib Wrappers.</div><div class="ttdef"><b>Definition:</b> Bin.hpp:7</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_81b007610a59bc1f4a5ed448a6168bbb.html">media_framework</a></li><li class="navelem"><a class="el" href="dir_2216667e0452c61c00f98e2752b3a9f2.html">gstreamer-cpp</a></li><li class="navelem"><a class="el" href="dir_4e35b9dc1e034d94f28a0525077dc4f9.html">include</a></li><li class="navelem"><a class="el" href="dir_a59ae0337ddcda0e5781617847aabb7d.html">core</a></li><li class="navelem"><b>Message.hpp</b></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
